import QtQuick 2.1
import QtQuick.Window 2.1
import QtGraphicalEffects 1.12



Rectangle {
    id : window

    color: "transparent"

    property real imageSize : Screen.height / 54  //旋转大小(20*20)
    property real radiusSize : Screen.height / 33.75 //转圈底色大小(32*32)

    property string splashImage  : background


    Item {
        id: content
        anchors.fill: parent
        opacity: 1

        //背景图片
        Image {
            id: logo
            anchors.fill: parent
            source: splashImage
            sourceSize.width: Screen.width
            sourceSize.height: Screen.height
        }

        //毛玻璃效果
        FastBlur {
            anchors.fill: logo
            source: logo
            width: logo.width;
            height: logo.height
            radius: 64
        }

        //旋转底色
        Rectangle {
            width: radiusSize
            height: radiusSize
            anchors.centerIn: parent
            radius: width / 2
            color: "#ffffffff"
            opacity: 0.1
        }

        //旋转图标
        Image {
            id: busyIndicator
            anchors.centerIn: parent
            source: "loadingWhite/ukui-loading-0-symbolic.svg"
            sourceSize.height: imageSize
            sourceSize.width: imageSize
            RotationAnimation {
                id: rotationAnimator
                from: 0
                to: 360
                property: "rotation"
                target: busyIndicator
                duration: 750
                loops: Animation.Infinite
                running: true
            }
        }
    }
}


